﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Web;

namespace ResoursesManager.Models
{
    public enum StatisticType
    {
        [Description("Resource create")]
        ResourceCreate,
        [Description("Resource modifie")]
        ResourceModified,
        [Description("Resource delete")]
        ResourceDelete,
        [Description("Reservation")]
        Reserv,
        [Description("Reservation modifie")]
        ReservartionModified,
        [Description("Reservation delete")]
        ReservationDelete,
        Subscribe,
        Unsubscirbe,
        [Description("Subscribe to all resource")]
        SubscribeAll,
        [Description("Unsubscribe from all resource")]
        UnsubscirbeAll,
        [Description("New registration")]
        Register,
        [Description("Log in")]
        Login,
        [Description("Log out")]
        Logout
    }
    public class StatisticModel
    {
        public int Id { get; set; }
        public string UserId { get; set; }
        public int ResourceId { get; set; }
        public int ReservationId { get; set; }
        public StatisticType StatisticType { get; set; }
        public DateTime DateTime { get; set; }
    }
}